- [HTTP request](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetCasesTimeToRespond#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetCasesTimeToRespond#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetCasesTimeToRespond#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetCasesTimeToRespond#body.request_body)
- [Response body](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetCasesTimeToRespond#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetCasesTimeToRespond#body.CasesTimeToRespondResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetCasesTimeToRespond#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetCasesTimeToRespond#body.aspect_1)
- [SearchTimeRangeType](https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetCasesTimeToRespond#SearchTimeRangeType)

**Full name**: projects.locations.instances.legacySoarDashboard.legacyGetCasesTimeToRespond

Returns the average time taken to respond to cases within a specific dashboard, filtered by the provided time range. This helps monitor SOC efficiency and responsiveness.

### HTTP request

`GET https://{endpoint}/v1alpha/{instance}/legacySoarDashboard:legacyGetCasesTimeToRespond`

Where `{endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/chronicle/docs/reference/rest#rest_endpoints).

### Path parameters

| Parameters ||
|---|---|
| `instance` | `string` Required. The instance to get the workflow menu cards for. Format: projects/{project}/locations/{location}/instances/{instance} |

### Query parameters

| Parameters ||
|---|---|
| `timeRangeFilter` | ``enum (`https://docs.cloud.google.com/chronicle/docs/reference/rest/v1alpha/projects.locations.instances.legacySoarDashboard/legacyGetCasesTimeToRespond#SearchTimeRangeType`)`` Optional. The time range filter of the request. |

### Request body

The request body must be empty.

### Response body

CasesTimeToRespondResponse represents the response for getting the time to respond for cases in a dashboard.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "timeToResponseValue": integer } ``` |

| Fields ||
|---|---|
| `timeToResponseValue` | `integer` Optional. The time to respond filter of the request. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/chronicle`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `instance` resource:

- `chronicle.legacySoarDashboards.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## SearchTimeRangeType

SearchTimeRangeType is an enum that represents the time range type for a request.

| Enums ||
|---|---|
| `CUSTOM` | Custom time range |
| `LAST_DAY` | Last day |
| `LAST_2_DAYS` | Last 2 days |
| `LAST_3_DAYS` | Last 3 days |
| `LAST_4_DAYS` | Last 4 days |
| `LAST_WEEK` | Last week |
| `LAST_2_WEEKS` | Last 2 weeks |
| `LAST_MONTH` | Last year |
| `LAST_3_MONTHS` | Last 3 months |
| `LAST_6_MONTHS` | Last 6 months |
| `LAST_YEAR` | Last year |
| `LAST_13_MONTHS` | Last 13 months |